<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?><!--  Copyright (c) 2000-2005 MetaMatrix, Inc.  All rights reserved. --><plugin id="com.metamatrix.modeler.vdb.ui" name="%pluginName" version="5.0.2"
        provider-name="%providerName"
        class="com.metamatrix.modeler.vdb.ui.VdbUiPlugin">

   <runtime>
      <library name="vdbUi_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="vdbUi.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="com.metamatrix.modeler.core"/>
      <import plugin="com.metamatrix.modeler.ui"/>
      <import plugin="com.metamatrix.ui"/>
      <import plugin="com.metamatrix.vdb.edit"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="com.metamatrix.metamodels.xml"/>
   </requires>
   <extension-point id="vdbEditorPage" name="%vdbEditorPage" schema="schema/vdbEditorPage.exsd"/>

   <!-- Model Editors -->
   <extension point="org.eclipse.ui.editors">
<!-- VDB Editor -->
      <editor name="%vdbEditor" default="true"
              icon="platform:/plugin/com.metamatrix.modeler.ui/icons/full/obj16/VDB.gif"
              extensions="vdb"
              class="com.metamatrix.modeler.internal.vdb.ui.editor.VdbEditor"
              id="com.metamatrix.modeler.internal.vdb.ui.editor.vdbEditor">
      </editor>
   </extension>

</plugin>